[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#573187: transition: mpi-defaults



Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Dear release team,

as requested by Marc Brockschmidt in <87ocj81kt4.fsf@solon.marcbrockschmidt.de>,
I file this bug for the mpi-defaults transition.

As discussed on the Debian Science list, we'd like to get rid of two old
MPI implementations, MPICH (mpich) and LAM/MPI (lam4). Both are not
maintained upstream anymore and have successors already in the archive,
MPICH2 (mpich2) and Open MPI (openmpi), respectively.

The current plan is to EOL MPICH and LAM by removing all reverse
dependencies on those packages. One big step in this direction would be
via mpi-defaults. The current version depends on LAM/MPI for arches
where Open MPI is not supported (yet). A package is prepared that will
depend on MPICH2 on these arches. After uploading that, binNMUs are
needed for the depending packages.

This transition will interfere with the hdf5 transition, as hdf5 does
build MPI-enabled versions.

Bugs have been filed for the remaining packages that do not use
mpi-defaults but depend on an MPI implementation directly. The can be
tracked via [1]. They need to be fixed by sourceful uploads, I only
mention them for reference.

If you have any questions, feel free to ask on the Debian Science
mailing list. And sorry for bringing it up so late in the release
cycle!

Best regards,
Manuel

 [1] http://bugs.debian.org/cgi-bin/pkgreport.cgi?tag=old-mpi-eol;users=debian-science@lists.debian.org

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (200, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Reply to: